If you think a bug might affect users in the 57 release, please set the correct tracking and status flags for Release Management.

MOZ_LITE configuration will not build

VERIFIED FIXED

Status

SeaMonkey
Build Config
P3
normal
VERIFIED FIXED
20 years ago
13 years ago

People

(Reporter: tor, Assigned: Brian Ostrom)

Tracking

Trunk
All
Solaris

Firefox Tracking Flags

(Not tracked)

Details

(URL)

(Reporter)

Description

20 years ago
Created by   (tor@cs.brown.edu) on Friday, April 17, 1998 12:40:41 PM PDT
Additional Details :
This patch fixes the MOZ_LITE configuration in config.mk and
lib/layout/Makefile.  It also changes references to "EDITOR"
in the build process to "MOZ_EDITOR" to avoid problems on
unix where EDITOR is commonly set in a user's environment.

The patch is a little large to include here; grab it from:
	http://www.cs.brown.edu/people/tor/mozilla/lite.patch
Updated by   (tor@cs.brown.edu) on Wednesday, April 29, 1998 11:14:27 PM PDT
Additional Details :
Patch updated for 19980429 release.  Same place and name.
(Assignee)

Updated

19 years ago
Status: NEW → ASSIGNED
(Assignee)

Comment 1

19 years ago
You should send a note to owners@mozilla.org firmly requesting
this change.  It is the right thing to do, but there are hundreds
of #ifdef EDITOR (and the like) scattered throughout the code,
so getting all the necessary changes made will probably take a
long time.  Providing an individual patch to each owner would
probably speed things up, but it'll be a major pain-in-the-ass
for you....

I've got a version of config.mk that will support both EDITOR
and MOZ_EDITOR for the time being, but will wait for your input
before checking it in.
(Reporter)

Updated

19 years ago
(Reporter)

Comment 2

19 years ago
I think you may have misunderstood what I'm proposing to do.  The #ifdef EDITORs
scattered around the codebase are fine and are taken care of with a -DEDITOR
on the compile line.  The thing I'm objecting to is having an EDITOR environment
variable set (to "emacs", say) screw up the MOZ_LITE build.

I've updated the patch for the current CVS pull (as of 8/28).  This fixes
the EDITOR problem mentioned above and fixes the MOZ_LITE build configuration
in config.mk and lib/layout/Makefile[.in].  The patch only makes changes to the
config directory and a few assorted makefiles -- no actual code changes.
Because it modifies the build control variables, the whole patch has to be
applied or the tree will break.
(Reporter)

Updated

19 years ago
Version: 1998-04-08 → other
(Assignee)

Updated

19 years ago
Status: ASSIGNED → RESOLVED
Last Resolved: 19 years ago
Resolution: --- → FIXED
(Assignee)

Comment 3

19 years ago
MOZ_EDITOR is now supported in mozilla/config/config.mk.  EDITOR
is *still* there as well, for now.  As soon as all the "ifdef EDITOR"
lines in the various makefiles are replaced with "ifdef MOZ_EDITOR",
I'll get rid of the EDITOR (make) macro.

You should send mail to each affected owner with the patch they need
to apply.  I still think that's the fastest way to get the changes
made....
(Reporter)

Updated

19 years ago
Status: RESOLVED → REOPENED
(Reporter)

Comment 4

19 years ago
You still need to apply two patches to files under your control:

diff -u --recursive mozilla-orig/config/config.mk mozilla/config/config.mk
--- mozilla-orig/config/config.mk       Fri Sep  4 22:26:18 1998
+++ mozilla/config/config.mk    Sat Sep  5 00:10:23 1998
@@ -450,6 +450,7 @@
 NO_UNIX_LDAP   = 1
 MOZ_JSD                = 1
 MOZ_NAV_BUILD_PREFIX   = 1
+MOZ_COOKIEMANAGE       = 1
 endif

 ifdef MOZ_MEDIUM
diff -u --recursive mozilla-orig/modules/Makefile mozilla/modules/Makefile
--- mozilla-orig/modules/Makefile       Wed Sep  2 18:45:13 1998
+++ mozilla/modules/Makefile    Fri Sep  4 22:44:36 1998
@@ -51,14 +51,14 @@
 DIRS           += oji
 endif

-ifdef EDITOR
+ifdef MOZ_EDITOR

 ifdef JAVA_OR_NSJVM    # change later to JAVA_OR_OJI
 DIRS            += edtplug
 endif # JAVA_OR_NSJVM

 DIRS           += spellchk
-endif # EDITOR
+endif # MOZ_EDITOR

 ifeq ($(subst /,_,$(shell uname -s)),OS2)
 DIRS   += spellchk
(Reporter)

Updated

19 years ago
Resolution: FIXED → ---
(Reporter)

Updated

19 years ago
Hardware: Sun → All
(Assignee)

Updated

19 years ago
Status: REOPENED → RESOLVED
Last Resolved: 19 years ago19 years ago
Resolution: --- → FIXED
(Assignee)

Comment 5

19 years ago
Aye, aye, Cap'n!  ;-)  All done.  Let me know if the rearranging I did
in config.mk causes you any trouble.

Updated

19 years ago
Status: RESOLVED → VERIFIED
QA Contact: 3849

Comment 6

19 years ago
moz-lite is no longer a valid app, setting bug as verified.
Product: Browser → Seamonkey
You need to log in before you can comment on or make changes to this bug.